=== local/Cg/examples/OpenGL/advanced/buffer_lighting/Makefile ===
# Makefile for GNU make

.PHONY: all buffer_lighting .DEFAULT 

all: buffer_lighting 

buffer_lighting:
	$(MAKE) -f Makefile.buffer_lighting buffer_lighting

.DEFAULT:
	$(MAKE) -f Makefile.buffer_lighting $@
