=== local/Cg/examples/OpenGL/advanced/cgfx_bumpdemo_array/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_bumpdemo_array .DEFAULT 

all: cgfx_bumpdemo_array 

cgfx_bumpdemo_array:
	$(MAKE) -f Makefile.cgfx_bumpdemo_array cgfx_bumpdemo_array

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_bumpdemo_array $@
