=== local/Cg/examples/OpenGL/advanced/cgfx_latest/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_latest .DEFAULT 

all: cgfx_latest 

cgfx_latest:
	$(MAKE) -f Makefile.cgfx_latest cgfx_latest

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_latest $@
