=== local/Cg/examples/OpenGL/advanced/gs_quadnormal/Makefile ===
# Makefile for GNU make

.PHONY: all gs_quadnormal .DEFAULT 

all: gs_quadnormal 

gs_quadnormal:
	$(MAKE) -f Makefile.gs_quadnormal gs_quadnormal

.DEFAULT:
	$(MAKE) -f Makefile.gs_quadnormal $@
