=== debian/changelog ===
nvidia-cg-toolkit (3.0.0016-0ubuntu1) precise; urgency=low

  [ Gregory Hainaut ]
  * Build for multiarch (LP: #811927)
    + Move library into libcg package. Update conflict accordingly.
    + Install so in multiarch directory
    + generate multiarch path in .install files
    + Bump debhelper dependency, need for ${misc:Pre-Depends} and dpkg >= 1.16

  [ Stefano Rivera ]
  * New upstream version

 -- Gregory Hainaut <gregory.hainaut@gmail.com>  Mon, 28 Nov 2011 18:48:59 +0200
