=== debian/control ===
Source: nvidia-cg-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Federico Di Gregorio <fog@debian.org>
Uploaders: Andres Mejia <mcitadel@gmail.com>
Build-Depends:
 debhelper (>= 8.1.3),
 libglu1-mesa-dev,
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxmu-dev,
 libxt-dev,
 perl
Homepage: http://developer.nvidia.com/object/cg_toolkit.html
Vcs-Git: git://git.debian.org/git/collab-maint/nvidia-cg-toolkit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/nvidia-cg-toolkit.git
Standards-Version: 3.9.1
DM-Upload-Allowed: yes

Package: nvidia-cg-toolkit
Architecture: amd64 i386
Depends: libcg, libcggl, ${misc:Depends}, ${shlibs:Depends}
Description: Cg Toolkit - GPU Shader Authoring Language
 The Cg Toolkit provides a compiler for the Cg language, runtime libraries for
 use with both leading graphics APIs, runtime libraries for CgFX, example
 applications, and extensive documentation. Supporting over 25 different OpenGL
 and DirectX profile targets, Cg 2.0 will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 This package includes:
  * NVIDIA Cg Compiler
  * Cg User's Manual
  * Documentation for the Cg
  * Language Specification, runtime APIs, Cg standard library, CgFX states,
    and the Cg profiles.
  * Cg examples

Package: libcg
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: nvidia-cg-toolkit (<< 3.0.0007-0ubuntu2)
Provides: libcggl
Description: Cg Toolkit - Cg core runtime library
 The Cg Toolkit provides a compiler for the Cg language, runtime libraries for
 use with both leading graphics APIs, runtime libraries for CgFX, example
 applications, and extensive documentation. Supporting over 25 different OpenGL
 and DirectX profile targets, Cg 2.0 will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 This package includes:
  * Cg/CgFX Core Runtime libraries for OpenGL and Direct3D
