=== debian/rules ===
#!/usr/bin/make -f

RELEASE = 3.0
PATCH = 0016
FN_VER = February2011
VER = $(RELEASE).$(PATCH)

PKG_BUILD_DIR = $(CURDIR)/debian/nvidia-cg-toolkit

%:
	dh $@

override_dh_install:
	set -e ; \
	for file in debian/libcg.install debian/nvidia-cg-toolkit.install ; do \
		sed -re 's/@ARCH@/$(shell dpkg-architecture -qDEB_HOST_ARCH)/g' \
			-e 's/@MULTIARCH@/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/g' \
			$${file}.in > $$file; \
	done;
	dh_install
	prename 's/\.(Cg(FX)?)$$/\.3$$1/' $(PKG_BUILD_DIR)/usr/share/man/man3/*
	sed -i -re 's/^\.TH (.+?) Cg/.TH \1 3Cg/' $(PKG_BUILD_DIR)/usr/share/man/man3/*
	find $(PKG_BUILD_DIR)/usr/share/doc/nvidia-cg-toolkit/examples \
	     -name '*.vcproj' -delete

override_dh_clean:
	dh_clean debian/libcg.install debian/nvidia-cg-toolkit.install

URLBASE = http://developer.download.nvidia.com/cg/Cg_$(RELEASE)/Cg-$(RELEASE)_$(FN_VER)

get-orig-source:
	set -e; \
	wget $(URLBASE)_x86.tgz -O nvidia-cg-toolkit_$(VER).orig-i386.tar.gz; \
	wget $(URLBASE)_x86_64.tgz -O nvidia-cg-toolkit_$(VER).orig-amd64.tar.gz; \
	mkdir nvidia-cg-toolkit-$(VER); \
	wget $(URLBASE)_LanguageSpecification.pdf \
	     -O nvidia-cg-toolkit-$(VER)/LanguageSpecification.pdf; \
	GZIP=--best tar -cz --owner root --group root \
	                -f nvidia-cg-toolkit_$(VER).orig.tar.gz \
	                nvidia-cg-toolkit-$(VER); \
	rm -rf nvidia-cg-toolkit-$(VER)
