=== debian/watch ===
version=3

opts=dversionmangle=s/0016$/February2011/ \
 http://developer.nvidia.com/object/cg_download.html \
 http://developer.download.nvidia.com/cg/Cg_.*/Cg-(.+)_(.+)_x86.tgz
