=== local/Cg/examples/OpenGL/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 SUBDIRS += glew
 SUBDIRS += basic
 SUBDIRS += advanced
+SUBDIRS += buffers
+SUBDIRS += tessellation
 
 define SPAWN_MAKE
 	$(MAKE) -C $(1) -f Makefile $@
