=== local/Cg/examples/OpenGL/advanced/cgfx_bumpdemo/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all cgfx_bumpdemo cgfx_bumpdemo2 .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: cgfx_bumpdemo cgfx_bumpdemo2
