=== local/Cg/examples/OpenGL/advanced/generic_attribs/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all generic_attribs .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: generic_attribs
