=== local/Cg/examples/OpenGL/advanced/gs_interp_quad/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all gs_interp_quad .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: gs_interp_quad
