=== local/Cg/examples/OpenGL/advanced/gs_quadnormal/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all gs_quadnormal .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: gs_quadnormal
