=== debian/changelog ===
nvidia-cg-toolkit (3.1.0013-5) unstable; urgency=medium

  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Add Build-Depends-Package field to symbols files.
  * Add debian/rules targets for archiving the tarballs in a separate
    repository using git-lfs as storage backend.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Jan 2019 02:32:48 +0100

nvidia-cg-toolkit (3.1.0013-4) unstable; urgency=medium

  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Update watch file.
  * Fix new Lintian issues.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Mar 2018 07:30:55 +0100

nvidia-cg-toolkit (3.1.0013-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add gbp.conf to enable overlay mode.
  * Add get-tarball-dir target to checkout the tarball archive from SVN.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.1.
  * Use https:// URLs where possible.
  * Bump debhelper to (>= 10) and compat version to 10.
  * Set Rules-Requires-Root: no.
  * Enable more hardening.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Remove maintainer scripts needed for upgrades from ancient version.
  * Fix typo in manpage.
  * Update Lintian overrides.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 06:38:24 +0100

nvidia-cg-toolkit (3.1.0013-2) unstable; urgency=low

  [ Miguel A. Colón Vélez ]
  * debian/control:
    - Build depend on libglu-dev instead of libglu1-dev.

  [ Andreas Beckmann ]
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.6. No changes needed.
  * Fix manpage typos.
  * Update Lintian overrides.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Oct 2014 15:47:46 +0200

nvidia-cg-toolkit (3.1.0013-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Adopt package.  (Closes: #649514)
  * New Maintainer: Debian NVIDIA Maintainers.
  * New Uploaders: Miguel A. Colón Vélez, Russ Allbery, and myself.
  * Move packaging git repository to pkg-nvidia:
    git://git.debian.org/git/pkg-nvidia/nvidia-cg-toolkit.git
  * Acknowledge l10n NMUs.  (Closes: #610093)
  * Update Lintian overrides.
  * Review, reorder, and simplify the packaging.
  * Add XS-Autobuild: yes.
  * Use Breaks/Replaces: nvidia-cg-toolkit (<< ${source:Version}) to allow
    upgrades from old monolithic packages in Ubuntu and from NVIDIA.
  * Document a possible package build workflow in README.source.
  * Error out early if the .orig-*.tar.gz are not unpacked before build.

  [ Miguel A. Colón Vélez ]
  * New upstream release 3.1.0013 (April 2012).
    - Since release 2.1 the upstream license allows redistribution, so convert
      the packaging from an installer package (in contrib) to a set of
      packages: nvidia-cg-{toolkit,dev,doc}, libcg, libcggl (in non-free).
    (Closes: #506494, #539418, #502457, #639857)
  * Remove installer script, debconf translations and related dependencies.
  * nvidia-cg-toolkit.preinst: Run installer script in uninstallation mode
    before upgrade.
  * Convert package to 3.0 (quilt) format.
  * Add watch file, get-orig-source target, and README.source.
  * Use two pristine upstream tarballs (*.orig-{amd64,i386}.tar.gz) and an
    empty *.orig.tar.gz (via create-empty-orig in debian/source/options).
  * Bump Standards-Version to 3.9.3.
  * Update copyright file as per DEP-5.
  * Bump debhelper to (>= 9) and compat version to 9.
  * Simplify the rules file by using the dh helper.
  * Change Section from contrib/libs to non-free/libs.
  * Update the README.Debian file and Homepage.
  * Add build dependencies for cginfo and cgfxcat.
  * Compile cginfo and cgfxcat instead of using the prebuilt binaries.
    - Ensure the hardened LDFLAGS are used.
    - Link cginfo and cgfxcat with --as-needed to reduce library footprint.
  * Don't strip the prebuilt binaries since stripping may violate the license
    (modifies binaries).
  * Use the manpages from version 3.0.0016 for the binaries in the
    nvidia-cg-toolkit package. They got removed upstream in version 3.1.0010 but
    are still included in the Cg Reference Manual.
    - Fix a spelling error in cgc.1 (compatable -> compatible).
  * Add multiarch support.
  * Create the libcg and libcggl packages.
    - Unfortunately upstream provides libraries with an unversioned SONAME.
    - Use Multi-Arch: same.
    - Breaks/Replaces old nvidia-cg-toolkit and libcg.
    - Create the libcg.symbols and libcggl.symbols files.
    - Create *.postinst/*.postrm according to Debian policy 8.1.1.
  * Create the nvidia-cg-dev package.
    - Use Multi-Arch: same.
    - Depend on the new libcg and libcggl packages.
    - Breaks/Replaces old nvidia-cg-toolkit.
  * Create the nvidia-cg-doc package.
    - Breaks/Replaces old nvidia-cg-toolkit.
    - Don't compress the examples (Makefile, *.h, *.c, *.cpp, *.cg).
    - Don't include the license.pdf/license.txt files since a verbatim copy is
      included in the copyright file.
    - Don't include the Microsoft Visual Studio files.
    - Don't include architecture dependent files. These files can be
      recompiled by the user since the sources are included.
  * Package nvidia-cg-toolkit:
    - Change Section to non-free/devel.
    - Depend on the new libcg, libcggl and nvidia-cg-dev packages.
    - Suggest the newly created nvidia-cg-doc package.
    - Update description using the latest information from the Nvidia website.
  * {libcg,nvidia-cg-doc}.postinst: Manually remove /usr/lib/libCg.so and
    /usr/lib/libCgGL.so. Due to the removal of the /usr/lib64 symlink, the
    installer script does not remove these files.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 24 May 2012 20:45:17 -0400
