=== debian/control ===
Source: nvidia-cg-toolkit
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Miguel A. Colón Vélez <debian.micove@gmail.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 freeglut3-dev,
 libglu1-mesa-dev | libglu-dev,
 libxi-dev,
 libxmu-dev
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://developer.nvidia.com/cg-toolkit
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cg-toolkit
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cg-toolkit.git
XS-Autobuild: yes

Package: nvidia-cg-toolkit
Section: non-free/devel
Architecture: amd64 i386
Depends:
 libcg (= ${binary:Version}),
 libcggl (= ${binary:Version}),
 nvidia-cg-dev (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 nvidia-cg-doc (= ${source:Version})
Description: Cg Toolkit - GPU Shader Authoring Language
 The Nvidia Cg Toolkit provides a compiler for the Cg language, runtime
 libraries for use with both leading graphics APIs, runtime libraries for CgFX,
 example applications, and extensive documentation. Supporting over 24 different
 OpenGL and DirectX profile targets, Cg will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
  * NVIDIA Cg Compiler
  * Unified Cg/CgFX Runtime
  * Cg User's Manual
  * Cg Language Specification
  * Example programs and shaders
 .
 This package contains the Cg compiler and other utilities.

Package: libcg
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 nvidia-cg-toolkit (<< ${source:Version})
Description: Nvidia Cg core runtime library
 C for graphics (CG) is a high-level shading language developed by Nvidia in
 close collaboration with Microsoft for programming vertex and pixel shaders.
 .
 This package contains the Cg core runtime library.

Package: libcggl
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libcg (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libcg (<< ${source:Version}),
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 libcg (<< ${source:Version}),
 nvidia-cg-toolkit (<< ${source:Version})
Description: Nvidia Cg Opengl runtime library
 C for graphics (CG) is a high-level shading language developed by Nvidia in
 close collaboration with Microsoft for programming vertex and pixel shaders.
 .
 This package contains the Cg Opengl runtime library.

Package: nvidia-cg-dev
Section: non-free/libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends:
 libcg (= ${binary:Version}),
 libcggl (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 nvidia-cg-toolkit (<< ${source:Version})
Description: Cg Toolkit - GPU Shader Authoring Language (headers)
 The Nvidia Cg Toolkit provides a compiler for the Cg language, runtime
 libraries for use with both leading graphics APIs, runtime libraries for CgFX,
 example applications, and extensive documentation. Supporting over 24 different
 OpenGL and DirectX profile targets, Cg will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
  * NVIDIA Cg Compiler
  * Unified Cg/CgFX Runtime
  * Cg User's Manual
  * Cg Language Specification
  * Example programs and shaders
 .
 This package contains the development files.

Package: nvidia-cg-doc
Section: non-free/doc
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 nvidia-cg-toolkit (<< ${source:Version})
Description: Cg Toolkit - GPU Shader Authoring Language (documentation)
 The Nvidia Cg Toolkit provides a compiler for the Cg language, runtime
 libraries for use with both leading graphics APIs, runtime libraries for CgFX,
 example applications, and extensive documentation. Supporting over 24 different
 OpenGL and DirectX profile targets, Cg will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
  * NVIDIA Cg Compiler
  * Unified Cg/CgFX Runtime
  * Cg User's Manual
  * Cg Language Specification
  * Example programs and shaders
 .
 This package contains the developer documentation.
