=== debian/watch ===
version=3
# Use get-orig-source from the rules file to download the source packages.
options=uversionmangle=s/_/~/ \
https://developer.nvidia.com/cg-toolkit-download .*/Cg-(.*)_x86.tgz
options=uversionmangle=s/_/~/ \
https://developer.nvidia.com/cg-toolkit-download .*/Cg-(.*)_x86_64.tgz
